Padre::Search(3pm)

NAME
Padre::Search - The Padre Search API

  SYNOPSIS
  # Create the search object
  my $search = Padre::Search->new(
      find_term => 'foo',
  );

  # Execute the search on the current editor
  $search->search_next(Padre::Current->editor);

  DESCRIPTION
This is the Padre Search API. It allows the creation of abstract search object that can independently search and/or replace in an editor object.

  METHODS

  matches
  my ($first_char, $last_char, @all) = $search->matches(
      text      => $search_text,
      regex     => $search_regexp,
      from      => $from,
      to        => $to,
      backwards => $reverse,
  );

Parameters:

* The text in which we need to search

* The regular expression

* The offset within the text where we the last match started so the next
  forward match must start after this.

* The offset within the text where we the last match ended so the next
  backward match must end before this.

* backward bit (1 = search backward, 0 = search forward)

COPYRIGHT & LICENSE
Copyright 2008-2013 The Padre development team as listed in Padre.pm.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5 itself.